Class | Module
In: | lib/yard/core_ext/module.rb
Parent: | Object

### Methods

class_name namespace_name

### Public Instance methods

class_name()

Returns the class name of a full module namespace path

@example

      module A::B::C; class_name end # => "C"

@return [String] the last part of a module path

namespace_name()

Returns the module namespace path minus the class/module name

@example

      module A::B::C; namespace_name end # => "A::B"

@return [String] the namespace minus the class/module name

[Validate]